%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name creole
%define channel pear.phpdb.org

Summary:	A database abstraction layer for PHP5
Name:		php-pear-creole
Version:	1.1.0
Release:	5%{?dist}

License:	LGPLv2
Group:		Development/Tools
Source0:	http://pear.phpdb.org/get/creole-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://creole.phpdb.org/

BuildArch:	noarch
BuildRequires:	php-cli >= 5.0.0
BuildRequires:	php-pear >= 1:1.4.9-1.2
BuildRequires:	php-channel(pear.phpdb.org)
Requires:	php-cli >= 5.0.0
Requires:	php-pear
Requires:	php-channel(pear.phpdb.org)

Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:	php-pear(%{channel}/%{pear_name}) = %{version}

%description
Creole is a database abstraction layer for PHP5. It abstracts PHP's
native db-specific API to create more portable code while also
providing developers with a clean fully object-oriented interface
based loosely on the API for Java's JDBC.

There are a number of database abstraction packages for PHP.
Creole draws from experience with several of these -- noteably
PEAR::DB, PEAR::MDB, and ADOdb. Creole was created as a subproject
of Propel to meet specific needs that none of the available
abstraction layers were able to address in any satisfactory way. 

%prep
%setup -qc
mv package.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}

%build
cd %{pear_name}-%{version}

%install
cd %{pear_name}-%{version}
rm -rf %{buildroot} docdir
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{pear_name}.xml %{buildroot}%{pear_xmldir}

%clean
rm -rf %{buildroot}

%post
%{__pear} install --nodeps --soft --force --register-only \
	%{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	%{__pear} uninstall --nodeps --ignore-errors --register-only \
		%{channel}/%{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%{pear_phpdir}/%{pear_name}
%{pear_xmldir}/%{pear_name}.xml

%changelog
* Tue Sep 11 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.0-5
- proper php-pear requirement
- changed php-channel requirement syntax
- rectified file ownership

* Mon Sep  3 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.0-4
- changed pear datadir macro
- name change (lowercase)

* Tue Aug 21 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.0-3
- Adapted new Fedora standard for pear packages.

* Thu Jun 28 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.0-2
- Fedora 7 version bump

* Fri May 25 2007 Alexander Kahl <akahl@iconmobile.com> - 1.1.0-1
- Added channel dependency.

* Wed May 23 2007 Alexander Kahl <akahl@iconmobile.com> 1.1.0-0
- Initial RPM release.
